Health check (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /health

Infrastructure probe: checks outbound HTTP, the database, disk usage (below 90%) and heap memory (below 4 GB), and returns each result. No auth. Returns 503 as soon as one check fails.

Responses

  • 200 application/json

    The Health Check is successful

    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • httpCheck object
      • mongoCheck object
      • diskCheck object
      • memoryCheck object
    • statusCode number Required
    • timestamp string(date-time) Required
  • 503 application/json

    The Health Check is not successful

    A check failed.

    Hide response attributes Show response attributes object
    • status string
    • info object | null
      Hide info attribute Show info attribute object | null
      • * object Additional properties

        Additional properties are allowed.

        Hide * attribute Show * attribute object
        • status string Required
    • error object | null
      Hide error attribute Show error attribute object | null
      • * object Additional properties

        Additional properties are allowed.

        Hide * attribute Show * attribute object
        • status string Required
    • details object
      Hide details attribute Show details attribute object
      • * object Additional properties

        Additional properties are allowed.

        Hide * attribute Show * attribute object
        • status string Required
GET /health
curl \
 --request GET 'http://api.example.com/health'
Response examples (200)
{
  "data": {
    "httpCheck": {
      "status": "ok",
      "info": {
        "google": {
          "status": "up"
        }
      },
      "error": {}
    },
    "mongoCheck": {
      "status": "ok",
      "info": {
        "mongo": {
          "status": "up"
        }
      },
      "error": {}
    },
    "diskCheck": {
      "status": "ok",
      "info": {
        "storage": {
          "status": "up"
        }
      },
      "error": {}
    },
    "memoryCheck": {
      "status": "ok",
      "info": {
        "memory_heap": {
          "status": "up"
        }
      },
      "error": {}
    }
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}
Response examples (503)
{
  "status": "error",
  "info": {
    "database": {
      "status": "up"
    }
  },
  "error": {
    "redis": {
      "status": "down",
      "message": "Could not connect"
    }
  },
  "details": {
    "database": {
      "status": "up"
    },
    "redis": {
      "status": "down",
      "message": "Could not connect"
    }
  }
}